### Method

# GimpUi ColorNotebook set_simulation

since: 3.0

#### Declaration [src]

    void
    gimp_color_notebook_set_simulation (
      GimpColorNotebook* notebook,
      GimpColorProfile* profile,
      GimpColorRenderingIntent intent,
      gboolean bpc
    )

#### Description [src]

Updates all selectors with the current simulation settings.

Available since: 3.0

#### Parameters

`profile`

  Type: `GimpColorProfile`

  A `GimpColorProfile` object.

  The data is owned by the caller of the method.

`intent`

  Type: `GimpColorRenderingIntent`

  A `GimpColorRenderingIntent` enum.

`bpc`

  Type: `gboolean`

  A gboolean.